Bug 488235 - preupgrade needs anaconda-yum-plugins and createrepo
Summary: preupgrade needs anaconda-yum-plugins and createrepo
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
(Show other bugs)
Version: 10
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-03 12:29 UTC by bfay
Modified: 2009-11-26 17:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 17:03:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bfay 2009-03-03 12:29:58 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

System was booted from PXE and option "repo=http://<host>/<path>" was passed to the installer. No additional repository was added over the "installation" one.
The first boot went well but now, no update is possible with yum since preupgrade needs unavailable dependencies :



Reproducible: Always

Steps to Reproduce:
su -c "yum update"
Actual Results:  
(...)
Error: Missing Dependency: anaconda-yum-plugins is needed by package preupgrade-1.0.1-1.fc10.noarch (updates)
Error: Missing Dependency: createrepo is needed by package preupgrade-

All updates abort

Expected Results:  
Properly updates the system

$ yum repolist  
Loaded plugins: refresh-packagekit
repo id                repo name                                  status
fedora                 Fedora 10 - i386                           enabled: 2,220
updates                Fedora 10 - i386 - Updates                 enabled: 3,626
repolist: 5,846

Comment 1 Jens Petersen 2009-05-02 07:32:59 UTC
I got hit by this too it seems:

Installing F10+updates gave me preupgrade but no createrepo, which makes preupgrade backtrace when it comes to generate metadata, and we lose.

Comment 2 Jens Petersen 2009-05-15 03:31:26 UTC
Any chance of an updated f10 package before f11 ships?  This is pretty annoying

Comment 3 Bug Zapper 2009-11-18 09:11:41 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jeff Moe (jebba) 2009-11-26 17:03:28 UTC
If I understand the above correctly, this appears fixed in preupgrade-1.1.3-1.fc10.src.rpm (and f11/f12).

Snippit from .spec:
...
# F10 anaconda provides its special depsolving magic as yum plugins
Requires: anaconda-yum-plugins
...
Requires: createrepo >= 0.9.7-7
...


Note You need to log in before you can comment on or make changes to this bug.